Lintian ReportsBETA

Wneedless-dependency-on-jre

Tag versions

The tag is present in Lintian version 2.104.234. That is the most recent version we know about.

The package appear to be a Java library and depending on one or more JRE/JDK packages. As of 05 Apr 2010, the Java Policy no longer mandates that Java libraries depend on Java Runtimes.

If the library package ships executables along with the library, then please consider making this an application package or move the binaries to a (new) application package.

If there is otherwise a valid reason for this dependency, please override the tag.

Refer to https://lists.debian.org/debian-devel-changes/2010/04/msg00774.html and Bug#227587 for details.

Visibility: warning

Check: fields/package-relations

The following 4 source packages in the archive triggered the tag 4 times.

There were no overrides.